> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/advanced-guides/grid-actions/mass-edit-setup.md).

# Grid - Mass Edit Button

Add a list view button that opens any list view as an editable GM - ListView Grid.

As a Salesforce admin, you can configure a Mass Edit button. GridMate provides a component to convert any list view to [GM - ListView Grid](/package-reference/components-library/gm-listview-grid.md) on the fly. In the steps below we will configure such action on the **Account** object.

## Mass Edit Button Setup

To trigger the Mass Edit, we have to configure a link on the Account object. The display type should be List Button without checkboxes.

![Mass edit configuration](https://4046919449-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MEsSbGy_U_OhthKUpxu%2F-MGKJZ2sfzGc7cChRSRq%2F-MGKOwlp6FOOVkkxzeJI%2FScreenshot%202020-09-03%20at%2021.18.01.png?alt=media\&token=eb6f0a91-aa6f-4901-baab-95428aa54f8e)

```http
/lightning/cmp/gmpkg__MassEditListViewComponent?c__object=Account&c__attributes=%7B%22canCreate%22%3A+false%2C%22canClone%22%3A+false%7D
```

{% hint style="info" %}
Mass Edit can be enabled on any object by duplicating the link below and changing the **c\_\_object** parameter and **c\_\_attributes** if necessary.

**c\_\_attributes** is an HTML encoded JSON to control the behavior of the grid. All the attributes are described [here](/package-reference/components-library/gm-listview-grid.md).

To encode a JSON, you can use your own tool or an online [website](https://www.url-encode-decode.com/).
{% endhint %}

## List View Actions Setup

The link should be added to the list of actions on a ListView. All the steps are described :point\_right: [here](https://help.salesforce.com/articleView?id=mass_quick_actions_create.htm\&type=5)**.**

![List view actions setup](https://4046919449-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MEsSbGy_U_OhthKUpxu%2F-MGKJZ2sfzGc7cChRSRq%2F-MGKRbs3dBAYTc7dHi-4%2FScreenshot%202020-09-03%20at%2021.29.48.png?alt=media\&token=e67d139d-7e37-440b-853e-c0f2f2a8fa2d)

## Next steps

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>List View Grid</strong></td><td>Display any Salesforce list view in a grid with search and inline edit.</td><td><a href="/product-tour/grids/list-view-grid.md">List View Grid</a></td></tr><tr><td><strong>GM - ListView Grid</strong></td><td>Every property of the component.</td><td><a href="/package-reference/components-library/gm-listview-grid.md">GM - ListView Grid</a></td></tr><tr><td><strong>Salesforce Classic Setup</strong></td><td>Run RelatedList and ListView grids on Salesforce Classic.</td><td><a href="/advanced-guides/grid-setup/salesforce-classic-deployment.md">Salesforce Classic Setup</a></td></tr></tbody></table>

## **Mass Edit In Action**

{% embed url="<https://youtu.be/JTKozLJ4d6M>" %}
Grid - Mass Edit
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/advanced-guides/grid-actions/mass-edit-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
